# PhasicFlow: selectRandom Class Reference

selectRandom Class Reference
Inheritance diagram for selectRandom:
[legend]
Collaboration diagram for selectRandom:
[legend]

## Public Member Functions

| TypeInfo ("selectRandom")
| selectRandom (const pointStructure &pStruct, const dictionary &dict)
| add_vCtor (pStructSelector, selectRandom, dictionary)
virtual | ~selectRandom ()=default
virtual const int32Vector & | selectedPoinsts () const override
virtual int32Vector & | selectedPoinsts () override
Public Member Functions inherited from pStructSelector
| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const

## Protected Member Functions

bool | selectAllPointsInRange ()

## Protected Attributes

int32Vector | selectedPoints_
int32 | begin_
int32 | end_
int32 | number_
Protected Attributes inherited from pStructSelector
const pointStructure & | pStruct_

## Additional Inherited Members

Static Public Member Functions inherited from pStructSelector
static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)

## Detailed Description

Definition at line 34 of file selectRandom.hpp.

## Constructor & Destructor Documentation

## selectRandom()

selectRandom | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 83 of file selectRandom.cpp.

References pFlow::endl(), fatalExit, dictionary::globalName(), pFlow::max(), pFlow::min(), pStruct, and warningInFunction.

Here is the call graph for this function:

## ~selectRandom()

virtual ~selectRandom | ( |  | ) |

virtualdefault

## Member Function Documentation

## selectAllPointsInRange()

bool selectAllPointsInRange | ( |  | ) |

protected

Definition at line 28 of file selectRandom.cpp.

References selectRandom::begin_, Vector< T, Allocator >::clear(), selectRandom::end_, pFlow::endl(), fatalErrorInFunction, n, selectRandom::number_, uniformRandomInt32::randomNumber(), Vector< T, Allocator >::reserve(), and selectRandom::selectedPoints_.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "selectRandom" |  | ) |

## add_vCtor()

add_vCtor | ( | pStructSelector | ,
|  | selectRandom | ,
|  | dictionary |
| ) |  |

## selectedPoinsts() [1/2]

virtual const int32Vector& selectedPoinsts | ( |  | ) | const

inlineoverridevirtual

Implements pStructSelector.

Definition at line 72 of file selectRandom.hpp.

References selectRandom::selectedPoints_.

## selectedPoinsts() [2/2]

virtual int32Vector& selectedPoinsts | ( |  | ) |

inlineoverridevirtual

Implements pStructSelector.

Definition at line 77 of file selectRandom.hpp.

References selectRandom::selectedPoints_.

## Member Data Documentation

## selectedPoints_

int32Vector selectedPoints_

protected

Definition at line 40 of file selectRandom.hpp.

Referenced by selectRandom::selectAllPointsInRange(), and selectRandom::selectedPoinsts().

## begin_

int32 begin_

protected

Definition at line 43 of file selectRandom.hpp.

Referenced by selectRandom::selectAllPointsInRange().

## end_

int32 end_

protected

Definition at line 46 of file selectRandom.hpp.

Referenced by selectRandom::selectAllPointsInRange().

## number_

int32 number_

protected

Definition at line 49 of file selectRandom.hpp.

Referenced by selectRandom::selectAllPointsInRange().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/selectRandom/selectRandom.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/selectRandom/selectRandom.cpp